xine-lib: xine-lib-1.2.13/src/post/goom/goomsl_lex.c File Reference

xine-lib 1.2.13-20230125hg15249

Data Structures | Macros | Typedefs | Functions | Variables
goomsl_lex.c File Reference
`#include <stdio.h>`
`#include <string.h>`
`#include <errno.h>`
`#include <stdlib.h>`
`#include <math.h>`
`#include "goomsl.h"`
`#include "goomsl_private.h"`
`#include "goomsl_yacc.h"`
`#include <unistd.h>`

## Data Structures
struct | yy_buffer_state
struct | yy_trans_info

## Macros
#define | YY_INT_ALIGNED short int
#define | FLEX_SCANNER
#define | YY_FLEX_MAJOR_VERSION 2
#define | YY_FLEX_MINOR_VERSION 5
#define | YY_FLEX_SUBMINOR_VERSION 31
#define | FLEX_BETA
#define | FLEXINT_H
#define | INT8_MIN (-128)
#define | INT16_MIN (-32767-1)
#define | INT32_MIN (-2147483647-1)
#define | INT8_MAX (127)
#define | INT16_MAX (32767)
#define | INT32_MAX (2147483647)
#define | UINT8_MAX (255U)
#define | UINT16_MAX (65535U)
#define | UINT32_MAX (4294967295U)
#define | yyconst
#define | YY_NULL 0
#define | YY_SC_TO_UI(c) ((unsigned int) (unsigned char) c)
#define | BEGIN (yy_start) = 1 + 2 *
#define | YY_START (((yy_start) - 1) / 2)
#define | YYSTATE YY_START
#define | YY_STATE_EOF(state) (YY_END_OF_BUFFER + state + 1)
#define | YY_NEW_FILE yyrestart(yyin )
#define | YY_END_OF_BUFFER_CHAR 0
#define | YY_BUF_SIZE 16384
#define | YY_TYPEDEF_YY_BUFFER_STATE
#define | EOB_ACT_CONTINUE_SCAN 0
#define | EOB_ACT_END_OF_FILE 1
#define | EOB_ACT_LAST_MATCH 2
#define | YY_LESS_LINENO(n)
#define | yyless(n)
#define | unput(c) yyunput( c, (yytext_ptr) )
#define | YY_TYPEDEF_YY_SIZE_T
#define | YY_STRUCT_YY_BUFFER_STATE
#define | YY_BUFFER_NEW 0
#define | YY_BUFFER_NORMAL 1
#define | YY_BUFFER_EOF_PENDING 2
#define | YY_CURRENT_BUFFER
#define | YY_CURRENT_BUFFER_LVALUE (yy_buffer_stack)[(yy_buffer_stack_top)]
#define | YY_FLUSH_BUFFER yy_flush_buffer(YY_CURRENT_BUFFER )
#define | yy_new_buffer yy_create_buffer
#define | yy_set_interactive(is_interactive)
#define | yy_set_bol(at_bol)
#define | YY_AT_BOL() (YY_CURRENT_BUFFER_LVALUE->yy_at_bol)
#define | YY_FLEX_LEX_COMPAT
#define | YY_DO_BEFORE_ACTION
#define | YY_NUM_RULES 49
#define | YY_END_OF_BUFFER 50
#define | YY_MORE_ADJ 0
#define | YY_RESTORE_YY_MORE_OFFSET
#define | YYLMAX 8192
#define | INITIAL 0
#define | C_COMMENT 1
#define | LINE_COMMENT 2
#define | STRING 3
#define | YY_EXTRA_TYPE void *
#define | YY_READ_BUF_SIZE 8192
#define | ECHO (void) fwrite( yytext, yyleng, 1, yyout )
#define | YY_INPUT(buf, result, max_size)
#define | yyterminate() return YY_NULL
#define | YY_START_STACK_INCR 25
#define | YY_FATAL_ERROR(msg) yy_fatal_error( msg )
#define | YY_DECL_IS_OURS 1
#define | YY_DECL int yylex (void)
#define | YY_USER_ACTION
#define | YY_BREAK break;
#define | YY_RULE_SETUP
#define | YY_EXIT_FAILURE 2
#define | yyless(n)
#define | YYTABLES_NAME "yytables"

## Typedefs
typedef signed char | flex_int8_t
typedef short int | flex_int16_t
typedef int | flex_int32_t
typedef unsigned char | flex_uint8_t
typedef unsigned short int | flex_uint16_t
typedef unsigned int | flex_uint32_t
typedef struct yy_buffer_state * | YY_BUFFER_STATE
typedef unsigned int | yy_size_t
typedef unsigned char | YY_CHAR
typedef int | yy_state_type

## Functions
void | yyrestart (FILE *input_file)
void | yy_switch_to_buffer (YY_BUFFER_STATE new_buffer)
YY_BUFFER_STATE | yy_create_buffer (FILE *file, int size)
void | yy_delete_buffer (YY_BUFFER_STATE b)
void | yy_flush_buffer (YY_BUFFER_STATE b)
void | yypush_buffer_state (YY_BUFFER_STATE new_buffer)
void | yypop_buffer_state (void)
static void | yyensure_buffer_stack (void)
static void | yy_load_buffer_state (void)
static void | yy_init_buffer (YY_BUFFER_STATE b, FILE *file)
YY_BUFFER_STATE | yy_scan_buffer (char *base, yy_size_t size)
YY_BUFFER_STATE | yy_scan_string (char *yy_str)
YY_BUFFER_STATE | yy_scan_bytes (char *bytes, int len)
void * | yyalloc (yy_size_t)
void * | yyrealloc (void *, yy_size_t)
void | yyfree (void *)
static yy_state_type | yy_get_previous_state (void)
static yy_state_type | yy_try_NUL_trans (yy_state_type current_state)
static int | yy_get_next_buffer (void)
static void | yy_fatal_error (char msg[])
void | yyerror (const char *)
void | yyparse (void)
int | yywrap (void)
static void | yyunput (int c, char *buf_ptr)
static void | yy_flex_strncpy (char *, char *, int)
static int | input (void)
int | yylex (void)
static void | yyunput (int c, register char *yy_bp)
int | isatty (int)
static void | yy_fatal_error (char *msg)

## Variables
int | yyleng
FILE * | yyin = (FILE *) 0
FILE * | yyout = (FILE *) 0
static size_t | yy_buffer_stack_top = 0
static size_t | yy_buffer_stack_max = 0
static YY_BUFFER_STATE * | yy_buffer_stack = 0
static char | yy_hold_char
static int | yy_n_chars
static char * | yy_c_buf_p = (char *) 0
static int | yy_init = 1
static int | yy_start = 0
static int | yy_did_buffer_switch_on_eof
int | yylineno = 1
char | yytext []
static flex_int16_t | yy_acclist [214]
static flex_int16_t | yy_accept [152]
static flex_int32_t | yy_ec [256]
static flex_int32_t | yy_meta [51]
static flex_int16_t | yy_base [159]
static flex_int16_t | yy_def [159]
static flex_int16_t | yy_nxt [276]
static flex_int16_t | yy_chk [276]
static flex_int32_t | yy_rule_can_match_eol [50]
int | yy_flex_debug = 0
static yy_state_type * | yy_state_buf =0
static yy_state_type * | yy_state_ptr =0
static char * | yy_full_match
static int | yy_lp
static int | yy_more_offset = 0
static int | yy_prev_more_offset = 0
char * | yytext_ptr
GoomSL * | currentGoomSL
static int | string_size
static char | string [1024]

## Macro Definition Documentation

## ◆ BEGIN

#define BEGIN (yy_start) = 1 + 2 *

Referenced by yylex().

## ◆ C_COMMENT

#define C_COMMENT 1

Referenced by yylex().

## ◆ ECHO

#define ECHO (void) fwrite( yytext, yyleng, 1, yyout )

Referenced by yylex().

## ◆ EOB_ACT_CONTINUE_SCAN

#define EOB_ACT_CONTINUE_SCAN 0

Referenced by input(), yy_get_next_buffer(), and yylex().

## ◆ EOB_ACT_END_OF_FILE

#define EOB_ACT_END_OF_FILE 1

Referenced by input(), yy_get_next_buffer(), and yylex().

## ◆ EOB_ACT_LAST_MATCH

#define EOB_ACT_LAST_MATCH 2

Referenced by input(), yy_get_next_buffer(), and yylex().

## ◆ FLEX_BETA

#define FLEX_BETA

## ◆ FLEX_SCANNER

#define FLEX_SCANNER

## ◆ FLEXINT_H

#define FLEXINT_H

## ◆ INITIAL

#define INITIAL 0

Referenced by yylex().

## ◆ INT16_MAX

#define INT16_MAX (32767)

Referenced by audio_filter_amp(), float_to_int(), and float_to_int().

## ◆ INT16_MIN

#define INT16_MIN (-32767-1)

Referenced by audio_filter_amp(), float_to_int(), and float_to_int().

## ◆ INT32_MAX

#define INT32_MAX (2147483647)

Referenced by upmix_frames_2to51_any_to_float().

## ◆ INT32_MIN

#define INT32_MIN (-2147483647-1)

## ◆ INT8_MAX

#define INT8_MAX (127)

Referenced by audio_filter_amp().

## ◆ INT8_MIN

#define INT8_MIN (-128)

Referenced by audio_filter_amp().

## ◆ LINE_COMMENT

#define LINE_COMMENT 2

Referenced by yylex().

## ◆ STRING

#define STRING 3

Referenced by xml_parser_get_node_internal(), and yylex().

## ◆ UINT16_MAX

#define UINT16_MAX (65535U)

Referenced by sdpplin_parse(), and sdpplin_parse_stream().

## ◆ UINT32_MAX

#define UINT32_MAX (4294967295U)

## ◆ UINT8_MAX

#define UINT8_MAX (255U)

## ◆ unput

#define unput | ( |  | c | ) | yyunput( c, (yytext_ptr) )

## ◆ YY_AT_BOL

#define YY_AT_BOL | ( |  | ) | (YY_CURRENT_BUFFER_LVALUE->yy_at_bol)

Referenced by yy_get_previous_state(), and yylex().

## ◆ YY_BREAK

#define YY_BREAK break;

Referenced by yylex().

## ◆ YY_BUF_SIZE

#define YY_BUF_SIZE 16384

Referenced by yylex(), and yyrestart().

## ◆ YY_BUFFER_EOF_PENDING

#define YY_BUFFER_EOF_PENDING 2

Referenced by yy_get_next_buffer().

## ◆ YY_BUFFER_NEW

#define YY_BUFFER_NEW 0

Referenced by yy_flush_buffer(), yy_scan_buffer(), and yylex().

## ◆ YY_BUFFER_NORMAL

#define YY_BUFFER_NORMAL 1

Referenced by yylex().

## ◆ YY_CURRENT_BUFFER

#define YY_CURRENT_BUFFER

Value:
( (yy_buffer_stack) \
? (yy_buffer_stack)[(yy_buffer_stack_top)] \
: NULL)
yy_buffer_stack
static YY_BUFFER_STATE * yy_buffer_stack
Definition goomsl_lex.c:260
yy_buffer_stack_top
static size_t yy_buffer_stack_top
Definition goomsl_lex.c:258
NULL
NULL
Definition xine_plugin.c:78

Referenced by yy_delete_buffer(), yy_flush_buffer(), yy_init_buffer(), yy_switch_to_buffer(), yylex(), yypop_buffer_state(), yypush_buffer_state(), and yyrestart().

## ◆ YY_CURRENT_BUFFER_LVALUE

#define YY_CURRENT_BUFFER_LVALUE (yy_buffer_stack)[(yy_buffer_stack_top)]

Referenced by input(), yy_delete_buffer(), yy_get_next_buffer(), yy_load_buffer_state(), yy_switch_to_buffer(), yylex(), yypop_buffer_state(), yypush_buffer_state(), yyrestart(), and yyunput().

## ◆ YY_DECL

#define YY_DECL int yylex (void)

## ◆ YY_DECL_IS_OURS

#define YY_DECL_IS_OURS 1

## ◆ YY_DO_BEFORE_ACTION

#define YY_DO_BEFORE_ACTION

Value:
(yytext_ptr) = yy_bp; \
yyleng = (size_t) (yy_cp - yy_bp); \
(yy_hold_char) = *yy_cp; \
*yy_cp = '\0'; \
if ( yyleng + (yy_more_offset) >= YYLMAX ) \
YY_FATAL_ERROR( "token too large, exceeds YYLMAX" ); \
yy_flex_strncpy( &yytext[(yy_more_offset)], (yytext_ptr), yyleng + 1 ); \
yyleng += (yy_more_offset); \
(yy_prev_more_offset) = (yy_more_offset); \
(yy_more_offset) = 0; \
(yy_c_buf_p) = yy_cp;
yy_hold_char
static char yy_hold_char
Definition goomsl_lex.c:278
yyleng
int yyleng
Definition goomsl_lex.c:280
yy_prev_more_offset
static int yy_prev_more_offset
Definition goomsl_lex.c:608
YYLMAX
#define YYLMAX
Definition goomsl_lex.c:618
yy_more_offset
static int yy_more_offset
Definition goomsl_lex.c:607
yy_c_buf_p
static char * yy_c_buf_p
Definition goomsl_lex.c:283
yytext_ptr
char * yytext_ptr
Definition goomsl_lex.c:622
yytext
char yytext[]
Definition goomsl_lex.c:621

Referenced by yylex().

## ◆ YY_END_OF_BUFFER

#define YY_END_OF_BUFFER 50

Referenced by yylex().

## ◆ YY_END_OF_BUFFER_CHAR

#define YY_END_OF_BUFFER_CHAR 0

Referenced by input(), yy_flush_buffer(), yy_get_next_buffer(), yy_scan_buffer(), and yy_scan_bytes().

## ◆ YY_EXIT_FAILURE

#define YY_EXIT_FAILURE 2

Referenced by yy_fatal_error().

## ◆ YY_EXTRA_TYPE

#define YY_EXTRA_TYPE void *

## ◆ YY_FATAL_ERROR

#define YY_FATAL_ERROR | ( |  | msg | ) | yy_fatal_error( msg )

Referenced by yy_create_buffer(), yy_get_next_buffer(), yy_scan_buffer(), yy_scan_bytes(), yylex(), and yyunput().

## ◆ YY_FLEX_LEX_COMPAT

#define YY_FLEX_LEX_COMPAT

## ◆ YY_FLEX_MAJOR_VERSION

#define YY_FLEX_MAJOR_VERSION 2

## ◆ YY_FLEX_MINOR_VERSION

#define YY_FLEX_MINOR_VERSION 5

## ◆ YY_FLEX_SUBMINOR_VERSION

#define YY_FLEX_SUBMINOR_VERSION 31

## ◆ YY_FLUSH_BUFFER

#define YY_FLUSH_BUFFER yy_flush_buffer(YY_CURRENT_BUFFER )

## ◆ YY_INPUT

#define YY_INPUT | ( |  | buf,
|  |  | result,
|  |  | max_size )

Value:
if ( YY_CURRENT_BUFFER_LVALUE->yy_is_interactive ) \
{ \
int c = '*'; \
size_t n; \
for ( n = 0; n < max_size && \
(c = getc( yyin )) != EOF && c != '\n'; ++n ) \
buf[n] = (char) c; \
if ( c == '\n' ) \
buf[n++] = (char) c; \
if ( c == EOF && ferror( yyin ) ) \
YY_FATAL_ERROR( "input in flex scanner failed" ); \
result = n; \
} \
else \
{ \
errno=0; \
while ( (result = fread(buf, 1, max_size, yyin))==0 && ferror(yyin)) \
{ \
if( errno != EINTR) \
{ \
YY_FATAL_ERROR( "input in flex scanner failed" ); \
break; \
} \
errno=0; \
clearerr(yyin); \
} \
}\
\
YY_CURRENT_BUFFER_LVALUE
#define YY_CURRENT_BUFFER_LVALUE
Definition goomsl_lex.c:275
yyin
FILE * yyin
Definition goomsl_lex.c:342

Referenced by yy_get_next_buffer().

## ◆ YY_INT_ALIGNED

#define YY_INT_ALIGNED short int

## ◆ YY_LESS_LINENO

#define YY_LESS_LINENO | ( |  | n | ) |

Value:
do { \
int yyl;\
for ( yyl = n; yyl < yyleng; ++yyl )\
if ( yytext[yyl] == '\n' )\
--yylineno;\
}while(0)
yylineno
int yylineno
Definition goomsl_lex.c:349

## ◆ YY_MORE_ADJ

#define YY_MORE_ADJ 0

Referenced by yy_get_next_buffer(), yy_get_previous_state(), and yylex().

## ◆ yy_new_buffer

#define yy_new_buffer yy_create_buffer

## ◆ YY_NEW_FILE

#define YY_NEW_FILE yyrestart(yyin )

Referenced by input(), and yylex().

## ◆ YY_NULL

#define YY_NULL 0

## ◆ YY_NUM_RULES

#define YY_NUM_RULES 49

## ◆ YY_READ_BUF_SIZE

#define YY_READ_BUF_SIZE 8192

Referenced by yy_get_next_buffer().

## ◆ YY_RESTORE_YY_MORE_OFFSET

#define YY_RESTORE_YY_MORE_OFFSET

Value:
{ \
(yy_more_offset) = (yy_prev_more_offset); \
yyleng -= (yy_more_offset); \
}

Referenced by yylex().

## ◆ YY_RULE_SETUP

#define YY_RULE_SETUP

Value:
if ( yyleng > 0 ) \
YY_CURRENT_BUFFER_LVALUE->yy_at_bol = \
(yytext[yyleng - 1] == '\n'); \
YY_USER_ACTION
YY_USER_ACTION
#define YY_USER_ACTION
Definition goomsl_lex.c:774

Referenced by yylex().

## ◆ YY_SC_TO_UI

#define YY_SC_TO_UI | ( |  | c | ) | ((unsigned int) (unsigned char) c)

Referenced by yy_get_previous_state(), and yylex().

## ◆ yy_set_bol

#define yy_set_bol | ( |  | at_bol | ) |

Value:
{ \
if ( ! YY_CURRENT_BUFFER ){\
yyensure_buffer_stack (); \
YY_CURRENT_BUFFER_LVALUE = \
yy_create_buffer(yyin,YY_BUF_SIZE ); \
} \
YY_CURRENT_BUFFER_LVALUE->yy_at_bol = at_bol; \
}
YY_CURRENT_BUFFER
#define YY_CURRENT_BUFFER
Definition goomsl_lex.c:268
YY_BUF_SIZE
#define YY_BUF_SIZE
Definition goomsl_lex.c:135

## ◆ yy_set_interactive

#define yy_set_interactive | ( |  | is_interactive | ) |

Value:
{ \
if ( ! YY_CURRENT_BUFFER ){ \
yyensure_buffer_stack (); \
YY_CURRENT_BUFFER_LVALUE = \
yy_create_buffer(yyin,YY_BUF_SIZE ); \
} \
YY_CURRENT_BUFFER_LVALUE->yy_is_interactive = is_interactive; \
}

## ◆ YY_START

#define YY_START (((yy_start) - 1) / 2)

Referenced by yylex().

## ◆ YY_START_STACK_INCR

#define YY_START_STACK_INCR 25

## ◆ YY_STATE_EOF

#define YY_STATE_EOF | ( |  | state | ) | (YY_END_OF_BUFFER + state + 1)

Referenced by yylex().

## ◆ YY_STRUCT_YY_BUFFER_STATE

#define YY_STRUCT_YY_BUFFER_STATE

## ◆ YY_TYPEDEF_YY_BUFFER_STATE

#define YY_TYPEDEF_YY_BUFFER_STATE

## ◆ YY_TYPEDEF_YY_SIZE_T

#define YY_TYPEDEF_YY_SIZE_T

## ◆ YY_USER_ACTION

#define YY_USER_ACTION

## ◆ yyconst

#define yyconst

## ◆ yyless [1/2]

#define yyless | ( |  | n | ) |

Value:
do \
{ \
/* Undo effects of setting up yytext. */ \
int yyless_macro_arg = (n); \
YY_LESS_LINENO(yyless_macro_arg);\
*yy_cp = (yy_hold_char); \
YY_RESTORE_YY_MORE_OFFSET \
(yy_c_buf_p) = yy_cp = yy_bp + yyless_macro_arg - YY_MORE_ADJ; \
YY_DO_BEFORE_ACTION; /* set up yytext again */ \
} \
while ( 0 )
YY_RESTORE_YY_MORE_OFFSET
#define YY_RESTORE_YY_MORE_OFFSET
Definition goomsl_lex.c:612
YY_MORE_ADJ
#define YY_MORE_ADJ
Definition goomsl_lex.c:611
YY_DO_BEFORE_ACTION
#define YY_DO_BEFORE_ACTION
Definition goomsl_lex.c:361

## ◆ yyless [2/2]

#define yyless | ( |  | n | ) |

Value:
do \
{ \
/* Undo effects of setting up yytext. */ \
int yyless_macro_arg = (n); \
YY_LESS_LINENO(yyless_macro_arg);\
yytext[yyleng] = (yy_hold_char); \
(yy_c_buf_p) = yytext + yyless_macro_arg; \
(yy_hold_char) = *(yy_c_buf_p); \
*(yy_c_buf_p) = '\0'; \
yyleng = yyless_macro_arg; \
} \
while ( 0 )

## ◆ YYLMAX

#define YYLMAX 8192

## ◆ YYSTATE

#define YYSTATE YY_START

## ◆ YYTABLES_NAME

#define YYTABLES_NAME "yytables"

## ◆ yyterminate

#define yyterminate | ( |  | ) | return YY_NULL

Referenced by yylex().

## Typedef Documentation

## ◆ flex_int16_t

typedef short int flex_int16_t

## ◆ flex_int32_t

typedef int flex_int32_t

## ◆ flex_int8_t

typedef signed char flex_int8_t

## ◆ flex_uint16_t

typedef unsigned short int flex_uint16_t

## ◆ flex_uint32_t

typedef unsigned int flex_uint32_t

## ◆ flex_uint8_t

typedef unsigned char flex_uint8_t

## ◆ YY_BUFFER_STATE

typedef struct yy_buffer_state* YY_BUFFER_STATE

## ◆ YY_CHAR

typedef unsigned char YY_CHAR

## ◆ yy_size_t

typedef unsigned int yy_size_t

## ◆ yy_state_type

typedef int yy_state_type

## Function Documentation

## ◆ input()

static int input | ( | void |  | ) |
| static

References EOB_ACT_CONTINUE_SCAN, EOB_ACT_END_OF_FILE, EOB_ACT_LAST_MATCH, input(), yy_c_buf_p, YY_CURRENT_BUFFER_LVALUE, yy_did_buffer_switch_on_eof, YY_END_OF_BUFFER_CHAR, yy_get_next_buffer(), yy_hold_char, yy_n_chars, YY_NEW_FILE, yyin, yylineno, yyrestart(), yytext_ptr, and yywrap().

Referenced by _get_dir(), _get_dir(), _get_dir_common(), _open_input(), _read_dir(), _x_demux_read_header(), _x_demux_read_send_data(), _x_demux_read_stream_header(), _x_find_demux_plugin(), _x_find_demux_plugin_by_name(), _x_find_demux_plugin_last_probe(), _x_free_input_plugin(), _x_input_read_skip(), _x_input_seek_preview(), _x_post_dispose(), _x_post_intercept_audio_port(), _x_post_intercept_video_port(), a8_subpix_blit_scanline_c(), anx_open_plugin(), ao_change_settings(), ao_coreaudio_open(), ao_eq_update(), ao_loop(), ao_status(), ao_update_resample_factor(), asf_parse_packet_align(), asf_parse_packet_compressed_payload(), asf_parse_packet_ecd(), asf_parse_packet_payload(), asf_parse_packet_payload_common(), asf_parse_packet_payload_header(), asf_read_header(), asf_send_buffer_defrag(), asf_send_buffer_nodefrag(), audio_filter_amp(), boxblur_open_plugin(), check_newpts(), composite_alphamask_alpha_to_packed4444_scanline_c(), composite_alphamask_to_packed4444_scanline_c(), composite_packed4444_alpha_to_packed422_scanline_c(), composite_packed4444_to_packed422_scanline_c(), configure_renderer(), deinterlace_open_plugin(), demux_aac_next(), demux_aac_seek(), demux_aac_send_chunk(), demux_aac_send_headers(), demux_ac3_seek(), demux_ac3_send_chunk(), demux_aiff_seek(), demux_aiff_send_chunk(), demux_asf_parse_http_references(), demux_asf_read_file(), demux_asf_seek(), demux_asf_send_chunk(), demux_asf_send_headers(), demux_aud_send_chunk(), demux_cdda_get_stream_length(), demux_cdda_seek(), demux_cdda_send_chunk(), demux_cdda_send_headers(), demux_dts_get_stream_length(), demux_dts_seek(), demux_dts_send_chunk(), demux_eawve_send_chunk(), demux_film_seek(), demux_film_send_chunk(), demux_flac_seek(), demux_flac_seek(), demux_flac_send_chunk(), demux_flac_send_chunk(), demux_fli_seek(), demux_fli_send_chunk(), demux_flv_seek(), demux_fourxm_send_chunk(), demux_idcin_seek(), demux_idcin_send_chunk(), demux_iff_seek(), demux_iff_send_chunk(), demux_image_next(), demux_image_send_headers(), demux_ivf_seek(), demux_ivf_send_chunk(), demux_ivf_send_headers(), demux_matroska_seek(), demux_matroska_send_headers(), demux_mng_send_chunk(), demux_mpc_send_chunk(), demux_mpc_send_headers(), demux_mpeg_block_get_stream_length(), demux_mpeg_block_parse_pack(), demux_mpeg_block_seek(), demux_mpeg_block_send_headers(), demux_mpeg_detect_blocksize(), demux_mpeg_elem_next(), demux_mpeg_elem_seek(), demux_mpeg_elem_send_headers(), demux_mpeg_get_stream_length(), demux_mpeg_pes_get_stream_length(), demux_mpeg_pes_parse_pack(), demux_mpeg_pes_seek(), demux_mpeg_pes_send_headers(), demux_mpeg_resync(), demux_mpeg_seek(), demux_mpeg_send_headers(), demux_mpgaudio_next(), demux_mpgaudio_seek(), demux_mpgaudio_send_headers(), demux_mve_seek(), demux_mve_send_chunk(), demux_nsf_seek(), demux_nsf_send_chunk(), demux_ogg_get_stream_length(), demux_ogg_seek(), demux_ogg_send_headers(), demux_playlist_send_chunk(), demux_playlist_send_headers(), demux_pva_seek(), demux_pva_send_chunk(), demux_pva_send_headers(), demux_qt_load_fragment_index(), demux_qt_seek(), demux_qt_send_chunk(), demux_ra_seek(), demux_ra_send_chunk(), demux_raw_dv_get_stream_length(), demux_raw_dv_next(), demux_raw_dv_seek(), demux_raw_dv_send_headers(), demux_real_parse_references(), demux_real_seek(), demux_real_send_chunk(), demux_real_send_headers(), demux_roq_seek(), demux_roq_send_chunk(), demux_shn_send_chunk(), demux_slave_next(), demux_smjpeg_send_chunk(), demux_snd_seek(), demux_snd_send_chunk(), demux_str_get_stream_length(), demux_str_seek(), demux_str_send_chunk(), demux_ts_get_optional_data(), demux_ts_get_stream_length(), demux_ts_scan_pat_pmt(), demux_ts_seek(), demux_ts_send_headers(), demux_tta_seek(), demux_tta_send_chunk(), demux_vc1_es_next_ap(), demux_vc1_es_next_smp(), demux_vc1_es_seek(), demux_vc1_es_send_headers(), demux_vmd_send_chunk(), demux_voc_seek(), demux_voc_send_chunk(), demux_vox_get_stream_length(), demux_vox_seek(), demux_vox_send_chunk(), demux_vqa_send_chunk(), demux_wav_seek(), demux_wav_send_chunk(), demux_wv_send_chunk(), demux_wv_send_headers(), demux_yuv4mpeg2_seek(), demux_yuv4mpeg2_send_chunk(), demux_yuv_frames_send_chunk(), demux_yuv_frames_send_headers(), denoise3d_open_plugin(), detect_anx_content(), detect_by_content(), detect_by_extension(), detect_mpgaudio_file(), detect_ogg_content(), dvb_event_handler(), dvd_handle_events(), eq2_open_plugin(), eq_open_plugin(), expand_open_plugin(), fftgraph_open_plugin(), fftscope_open_plugin(), fill_open_plugin(), find_chunk_by_tag(), find_mdat_atom(), flac_length_callback(), flac_read_callback(), flac_seek_callback(), flac_tell_callback(), fooviz_open_plugin(), fragment_scan(), get_format_context(), get_guid(), get_io_context(), get_stream_length(), goom_open_plugin(), handle_events(), id3v1_parse_tag(), id3v22_interp_frame(), id3v22_parse_frame_header(), id3v22_parse_tag(), id3v23_interp_frame(), id3v23_parse_frame_ext_header(), id3v23_parse_frame_header(), id3v23_parse_tag(), id3v24_interp_frame(), id3v24_parse_ext_header(), id3v24_parse_frame_header(), id3v24_parse_tag(), id3v2_parse_header(), id3v2_parse_tag(), input(), invert_open_plugin(), load_moov_atom(), mmal_display_frame(), mmal_dispose(), mosaico_open_plugin(), mpeg1_read_pts(), mpeg2_read_pts(), mymng_open_stream(), mymng_read_stream(), new_ebml_parser(), noise_open_plugin(), nsv_parse_payload(), nsv_read(), nsv_seek(), ogg_open_plugin(), open_ac3_file(), open_aiff_file(), open_aud_file(), open_demux_avformat_plugin(), open_demux_plugin(), open_dts_file(), open_fli_file(), open_idcin_file(), open_iff_file(), open_internal(), open_ipmovie_file(), open_mod_file(), open_mpc_file(), open_mve_file(), open_nsv_file(), open_plugin(), open_plugin(), open_plugin(), open_plugin(), open_plugin(), open_plugin(), open_plugin(), open_plugin(), open_plugin(), open_plugin(), open_plugin(), open_plugin(), open_plugin(), open_plugin(), open_plugin(), open_plugin(), open_plugin(), open_plugin(), open_plugin(), open_plugin(), open_plugin(), open_plugin(), open_plugin(), open_plugin(), open_plugin(), open_plugin(), open_plugin(), open_plugin(), open_plugin(), open_plugin(), open_plugin(), open_plugin(), open_plugin(), open_plugin(), open_plugin(), open_plugin(), open_plugin(), open_plugin(), open_plugin(), open_plugin(), open_plugin(), open_plugin(), open_plugin(), open_plugin(), open_plugin(), open_plugin(), open_plugin(), open_plugin(), open_plugin(), open_plugin(), open_plugin(), open_plugin(), open_plugin(), open_plugin(), open_plugin(), open_qt_file(), open_ra_file(), open_roq_file(), open_smjpeg_file(), open_snd_file(), open_str_file(), open_tta_file(), open_vmd_file(), open_voc_file(), open_vqa_file(), open_wav_file(), open_wv_file(), open_yuv4mpeg2_file(), oscope_open_plugin(), packed422_to_packed444_scanline_c(), packed444_to_nonpremultiplied_packed4444_scanline_c(), packed444_to_packed422_scanline_c(), packed444_to_rgb24_rec601_scanline_c(), parse_block_group(), parse_ebml_uint(), parse_frame_payload(), parse_mpeg1_packet(), parse_mpeg2_packet(), parse_nsf_header(), parse_pack(), parse_pack_preview(), parse_pes_for_pts(), parse_pes_for_pts(), parse_private_stream_1(), parse_private_stream_2(), parse_seek_entry(), parse_simpleblock(), parse_top_level(), parse_top_level_head(), pb_input_read_packet(), pb_input_seek(), pp_open_plugin(), premultiply_packed4444_scanline_c(), prepare_samples(), probe_aac_file(), probe_aiff_file(), probe_film_file(), probe_fourxm_file(), probe_mod_file(), probe_mve_file(), probe_pva_file(), probe_shn_file(), probe_snd_file(), probe_tta_file(), probe_voc_file(), probe_vqa_file(), probe_wav_file(), process_header(), process_ipmovie_chunk(), pvr_event_handler(), pvr_plugin_open(), read_arbitary(), read_block_data(), read_bytes(), read_data(), read_flv_packet(), read_frame_header(), read_iff_chunk(), read_line_from_input(), read_ogg_packet(), real_check_stream_type(), real_parse_headers(), real_parse_index(), rgb24_to_packed444_rec601_scanline_c(), rgba32_to_packed4444_rec601_scanline_c(), search_by_channel(), seek_flv_file(), send_ogg_buf(), set_extradata(), start_codec(), stretch_open_plugin(), sub_read_file(), switch_open_plugin(), sync_next(), tdaan_open_plugin(), unsharp_open_plugin(), update_extra_info(), upmix_mono_open_plugin(), upmix_open_plugin(), v4l_event_handler(), vdr_audio_open_plugin(), vdr_video_open_plugin(), volnorm_open_plugin(), xine_get_next_audio_frame(), xine_open(), xine_parse_id3v2_tag(), xine_post_init(), and xine_post_input().

## ◆ isatty()

int isatty | ( | int |  | ) |
| extern

Referenced by display_stats(), and yy_init_buffer().

## ◆ yy_create_buffer()

YY_BUFFER_STATE yy_create_buffer | ( | FILE * | file,
|  | int | size )

Allocate and initialize an input buffer state.

Parameters

  file | A readable stream.
  size | The character buffer size in bytes. When in doubt, use `YY_BUF_SIZE`.

Returns
  the allocated buffer state.

References yy_buffer_state::yy_buf_size, yy_buffer_state::yy_ch_buf, YY_FATAL_ERROR, yy_init_buffer(), yy_buffer_state::yy_is_our_buffer, and yyalloc().

Referenced by yylex(), and yyrestart().

## ◆ yy_delete_buffer()

void yy_delete_buffer | ( | YY_BUFFER_STATE | b | ) |

Destroy the buffer.

Parameters

  b | a buffer created with yy_create_buffer()

References yy_buffer_state::yy_ch_buf, YY_CURRENT_BUFFER, YY_CURRENT_BUFFER_LVALUE, yy_buffer_state::yy_is_our_buffer, and yyfree().

Referenced by yypop_buffer_state().

## ◆ yy_fatal_error() [1/2]

static void yy_fatal_error | ( | char * | msg | ) |
| static

References YY_EXIT_FAILURE.

## ◆ yy_fatal_error() [2/2]

static void yy_fatal_error | ( | char | msg[] | ) |
| static

## ◆ yy_flex_strncpy()

static void yy_flex_strncpy | ( | char * | s1,
|  | char * | s2,
|  | int | n )
| static

Get the current line number. Get the input stream.

## ◆ yy_flush_buffer()

void yy_flush_buffer | ( | YY_BUFFER_STATE | b | ) |

Discard all buffered characters. On the next scan, YY_INPUT will be called.

Parameters

  b | the buffer state to be flushed, usually `YY_CURRENT_BUFFER`.

References yy_buffer_state::yy_at_bol, yy_buffer_state::yy_buf_pos, YY_BUFFER_NEW, yy_buffer_state::yy_buffer_status, yy_buffer_state::yy_ch_buf, YY_CURRENT_BUFFER, YY_END_OF_BUFFER_CHAR, yy_load_buffer_state(), and yy_buffer_state::yy_n_chars.

Referenced by yy_init_buffer().

## ◆ yy_get_next_buffer()

static int yy_get_next_buffer | ( | void |  | ) |
| static

References EOB_ACT_CONTINUE_SCAN, EOB_ACT_END_OF_FILE, EOB_ACT_LAST_MATCH, YY_BUFFER_EOF_PENDING, yy_c_buf_p, YY_CURRENT_BUFFER_LVALUE, YY_END_OF_BUFFER_CHAR, YY_FATAL_ERROR, YY_INPUT, YY_MORE_ADJ, yy_n_chars, YY_READ_BUF_SIZE, yyin, yyrestart(), and yytext_ptr.

Referenced by input(), and yylex().

## ◆ yy_get_previous_state()

static yy_state_type yy_get_previous_state | ( | void |  | ) |
| static

References YY_AT_BOL, yy_base, yy_c_buf_p, yy_chk, yy_def, yy_ec, yy_meta, YY_MORE_ADJ, yy_nxt, YY_SC_TO_UI, yy_start, yy_state_buf, yy_state_ptr, and yytext_ptr.

Referenced by yylex().

## ◆ yy_init_buffer()

static void yy_init_buffer | ( | YY_BUFFER_STATE | b,
|  | FILE * | file )
| static

References isatty(), yy_buffer_state::yy_bs_column, yy_buffer_state::yy_bs_lineno, YY_CURRENT_BUFFER, yy_buffer_state::yy_fill_buffer, yy_flush_buffer(), yy_buffer_state::yy_input_file, and yy_buffer_state::yy_is_interactive.

Referenced by yy_create_buffer(), and yyrestart().

## ◆ yy_load_buffer_state()

static void yy_load_buffer_state | ( | void |  | ) |
| static

References yy_c_buf_p, YY_CURRENT_BUFFER_LVALUE, yy_hold_char, yy_n_chars, yyin, and yytext_ptr.

Referenced by yy_flush_buffer(), yy_switch_to_buffer(), yylex(), yypop_buffer_state(), yypush_buffer_state(), and yyrestart().

## ◆ yy_scan_buffer()

YY_BUFFER_STATE yy_scan_buffer | ( | char * | base,
|  | yy_size_t | size )

Setup the input buffer state to scan directly from a user-specified character buffer.

Parameters

  base | the character buffer
  size | the size in bytes of the character buffer

Returns
  the newly allocated buffer state object.

References yy_buffer_state::yy_at_bol, yy_buffer_state::yy_buf_pos, yy_buffer_state::yy_buf_size, YY_BUFFER_NEW, yy_buffer_state::yy_buffer_status, yy_buffer_state::yy_ch_buf, YY_END_OF_BUFFER_CHAR, YY_FATAL_ERROR, yy_buffer_state::yy_fill_buffer, yy_buffer_state::yy_input_file, yy_buffer_state::yy_is_interactive, yy_buffer_state::yy_is_our_buffer, yy_buffer_state::yy_n_chars, yy_switch_to_buffer(), and yyalloc().

Referenced by yy_scan_bytes().

## ◆ yy_scan_bytes()

YY_BUFFER_STATE yy_scan_bytes | ( | char * | bytes,
|  | int | len )

Setup the input buffer state to scan the given bytes. The next call to yylex() will scan from a copy of bytes.

Parameters

  bytes | the byte buffer to scan
  len | the number of bytes in the buffer pointed to by bytes.

Returns
  the newly allocated buffer state object.

References YY_END_OF_BUFFER_CHAR, YY_FATAL_ERROR, yy_buffer_state::yy_is_our_buffer, yy_scan_buffer(), and yyalloc().

Referenced by yy_scan_string().

## ◆ yy_scan_string()

YY_BUFFER_STATE yy_scan_string | ( | char * | str | ) |

Setup the input buffer state to scan a string. The next call to yylex() will scan from a copy of str.

Parameters

  str | a NUL-terminated string to scan

Returns
  the newly allocated buffer state object.

Note
  If you want to scan bytes that may contain NUL values, then use yy_scan_bytes() instead.

References yy_scan_bytes().

## ◆ yy_switch_to_buffer()

void yy_switch_to_buffer | ( | YY_BUFFER_STATE | new_buffer | ) |

Switch to a different input buffer.

Parameters

  new_buffer | The new input buffer.

References yy_c_buf_p, YY_CURRENT_BUFFER, YY_CURRENT_BUFFER_LVALUE, yy_did_buffer_switch_on_eof, yy_hold_char, yy_load_buffer_state(), yy_n_chars, and yyensure_buffer_stack().

Referenced by yy_scan_buffer().

## ◆ yy_try_NUL_trans()

static yy_state_type yy_try_NUL_trans | ( | yy_state_type | current_state | ) |
| static

References yy_base, yy_chk, yy_def, yy_meta, yy_nxt, and yy_state_ptr.

Referenced by yylex().

## ◆ yyalloc()

void * yyalloc | ( | yy_size_t | size | ) |

Referenced by yy_create_buffer(), yy_scan_buffer(), yy_scan_bytes(), yyensure_buffer_stack(), and yylex().

## ◆ yyensure_buffer_stack()

static void yyensure_buffer_stack | ( | void |  | ) |
| static

References yy_buffer_stack, yy_buffer_stack_max, yy_buffer_stack_top, yyalloc(), and yyrealloc().

Referenced by yy_switch_to_buffer(), yylex(), yypush_buffer_state(), and yyrestart().

## ◆ yyerror()

void yyerror | ( | const char * | str | ) |

References _GoomSL::compilationOK, currentGoomSL, and _GoomSL::num_lines.

Referenced by yyparse().

## ◆ yyfree()

void yyfree | ( | void * | ptr | ) |

Referenced by yy_delete_buffer().

## ◆ yylex()

int yylex | ( | void |  | ) |
| extern

The main scanner function which does all the work.

References BEGIN, C_COMMENT, YYSTYPE::charValue, currentGoomSL, DECLARE, DIV_EQ, DO, ECHO, EOB_ACT_CONTINUE_SCAN, EOB_ACT_END_OF_FILE, EOB_ACT_LAST_MATCH, EXTERNAL, FLOAT_TK, FOR, gsl_malloc(), IN, INITIAL, INT_TK, LINE_COMMENT, LOW_EQ, LTYPE_FLOAT, LTYPE_INTEGER, LTYPE_PTR, LTYPE_VAR, MUL_EQ, NOT, NOT_EQ, _GoomSL::num_lines, PLUS_EQ, PTR_TK, _GoomSL::ptrArray, STRING, string_size, STRUCT, YYSTYPE::strValue, SUB_EQ, SUP_EQ, WHILE, yy_accept, yy_acclist, YY_AT_BOL, yy_base, YY_BREAK, YY_BUF_SIZE, YY_BUFFER_NEW, YY_BUFFER_NORMAL, yy_c_buf_p, yy_chk, yy_create_buffer(), YY_CURRENT_BUFFER, YY_CURRENT_BUFFER_LVALUE, yy_def, yy_did_buffer_switch_on_eof, YY_DO_BEFORE_ACTION, yy_ec, YY_END_OF_BUFFER, YY_FATAL_ERROR, yy_full_match, yy_get_next_buffer(), yy_get_previous_state(), yy_hold_char, yy_init, yy_load_buffer_state(), yy_lp, yy_meta, YY_MORE_ADJ, yy_n_chars, YY_NEW_FILE, yy_nxt, yy_prev_more_offset, YY_RESTORE_YY_MORE_OFFSET, yy_rule_can_match_eol, YY_RULE_SETUP, YY_SC_TO_UI, YY_START, yy_start, yy_state_buf, YY_STATE_EOF, yy_state_ptr, yy_try_NUL_trans(), yyalloc(), yyensure_buffer_stack(), yyin, yyleng, yylineno, yylval, yyout, yyterminate, yytext, yytext_ptr, and yywrap().

## ◆ yyparse()

void yyparse | ( | void |  | ) |

## ◆ yypop_buffer_state()

void yypop_buffer_state | ( | void |  | ) |

Removes and deletes the top of the stack, if present. The next element becomes the new top.

References NULL, yy_buffer_stack_top, YY_CURRENT_BUFFER, YY_CURRENT_BUFFER_LVALUE, yy_delete_buffer(), yy_did_buffer_switch_on_eof, and yy_load_buffer_state().

## ◆ yypush_buffer_state()

void yypush_buffer_state | ( | YY_BUFFER_STATE | new_buffer | ) |

Pushes the new state onto the stack. The new state becomes the current state. This function will allocate the stack if necessary.

Parameters

  new_buffer | The new state.

References NULL, yy_buffer_stack_top, yy_c_buf_p, YY_CURRENT_BUFFER, YY_CURRENT_BUFFER_LVALUE, yy_did_buffer_switch_on_eof, yy_hold_char, yy_load_buffer_state(), yy_n_chars, and yyensure_buffer_stack().

## ◆ yyrealloc()

void * yyrealloc | ( | void * | ptr,
|  | yy_size_t | size )

Referenced by yyensure_buffer_stack().

## ◆ yyrestart()

void yyrestart | ( | FILE * | input_file | ) |

Immediately switch to a different input stream.

Parameters

  input_file | A readable stream.

Note
  This function does not reset the start condition to `INITIAL` .

References YY_BUF_SIZE, yy_create_buffer(), YY_CURRENT_BUFFER, YY_CURRENT_BUFFER_LVALUE, yy_init_buffer(), yy_load_buffer_state(), yyensure_buffer_stack(), and yyin.

Referenced by input(), and yy_get_next_buffer().

## ◆ yyunput() [1/2]

static void yyunput | ( | int | c,
|  | char * | buf_ptr )
| static

Referenced by yywrap().

## ◆ yyunput() [2/2]

static void yyunput | ( | int | c,
|  | register char * | yy_bp )
| static

References yy_c_buf_p, YY_CURRENT_BUFFER_LVALUE, YY_FATAL_ERROR, yy_hold_char, yy_n_chars, yylineno, and yytext_ptr.

## ◆ yywrap()

int yywrap | ( | void |  | ) |
| extern

References yyunput().

Referenced by input(), and yylex().

## Variable Documentation

## ◆ currentGoomSL

GoomSL* currentGoomSL

Referenced by commit_call(), commit_div_eq(), commit_ext_call(), commit_foreach(), commit_function_intro(), commit_function_outro(), commit_mul_eq(), commit_node(), commit_not(), commit_plus_eq(), commit_sub_eq(), commit_test2(), gsl_add_struct(), gsl_compile(), gsl_create_fast_iflow(), gsl_declare_external_task(), gsl_declare_task(), gsl_declare_var(), gsl_enternamespace(), gsl_find_namespace(), gsl_float_decl_global(), gsl_float_decl_local(), gsl_get_struct_id(), gsl_int_decl_global(), gsl_int_decl_local(), gsl_leavenamespace(), gsl_new_struct_field_struct(), gsl_prepare_struct(), gsl_ptr_decl_global(), gsl_ptr_decl_local(), GSL_PUT_JUMP(), GSL_PUT_JXXX(), GSL_PUT_LABEL(), gsl_reenternamespace(), gsl_struct_decl_global_from_id(), gsl_struct_decl_local(), new_call(), new_call_expr(), new_neg(), new_op(), new_static_foreach(), precommit_expr(), yyerror(), yylex(), and yyparse().

## ◆ string

char string[1024]
| static

Referenced by rtsp_get().

## ◆ string_size

int string_size
| static

Referenced by info_string_from_atom(), parse_reference_atom(), and yylex().

## ◆ yy_accept

flex_int16_t yy_accept[152]
| static

Initial value:
=
{ 0,
1, 1, 1, 1, 1, 1, 1, 1, 1, 2,
4, 7, 9, 11, 14, 17, 20, 22, 24, 26,
28, 30, 33, 36, 38, 40, 43, 46, 49, 52,
55, 58, 61, 64, 67, 70, 73, 76, 78, 80,
82, 84, 86, 89, 91, 93, 96, 98, 99, 102,
104, 105, 106, 107, 108, 109, 110, 110, 111, 112,
113, 114, 115, 116, 117, 118, 119, 119, 120, 121,
122, 123, 124, 126, 127, 128, 129, 130, 132, 133,
134, 135, 136, 137, 138, 139, 139, 140, 141, 141,
141, 142, 143, 144, 145, 146, 147, 148, 149, 150,
151, 152, 153, 155, 157, 159, 161, 162, 163, 164,
164, 165, 166, 167, 168, 169, 170, 171, 172, 173,
174, 176, 177, 178, 179, 180, 181, 182, 184, 186,
187, 188, 190, 191, 192, 193, 194, 195, 197, 199,
200, 202, 203, 205, 207, 208, 209, 211, 212, 214,
214
}

Referenced by yylex().

## ◆ yy_acclist

flex_int16_t yy_acclist[214]
| static

Initial value:
=
{ 0,
50, 48, 49, 47, 48, 49, 4, 49, 48, 49,
13, 48, 49, 10, 48, 49, 33, 48, 49, 48,
49, 48, 49, 48, 49, 48, 49, 48, 49, 34,
48, 49, 34, 48, 49, 48, 49, 48, 49, 33,
48, 49, 33, 48, 49, 33, 48, 49, 33, 48,
49, 33, 48, 49, 33, 48, 49, 33, 48, 49,
33, 48, 49, 33, 48, 49, 33, 48, 49, 47,
48, 49, 1, 4, 49, 48, 49, 7, 49, 6,
49, 7, 49, 7, 49, 1, 6, 49, 7, 49,
3, 49, 1, 3, 49, 17, 49, 49, 16, 17,
49, 17, 49, 47, 45, 10, 10, 10, 33, 40,
39, 41, 11, 12, 42, 38, 37, 34, 43, 46,
44, 33, 33, 28, 33, 33, 33, 33, 33, 30,
33, 33, 33, 33, 33, 33, 47, 1, 12, 5,
15, 14, 10, 10, 35, 37, 36, 33, 33, 33,
33, 33, 29, 33, 19, 33, 26, 33, 21, 33,
33, 33, 33, 2, 10, 10, 33, 33, 33, 33,
33, 33, 33, 31, 33, 33, 10, 10, 33, 33,
33, 32, 33, 18, 33, 33, 33, 27, 33, 10,
10, 33, 33, 33, 22, 33, 25, 33, 10, 9,
10, 10, 20, 33, 23, 33, 33, 10, 24, 33,
10, 8, 10
}

Referenced by yylex().

## ◆ yy_base

flex_int16_t yy_base[159]
| static

Initial value:
=
{ 0,
0, 49, 51, 54, 221, 57, 60, 64, 223, 225,
69, 225, 203, 225, 51, 0, 0, 202, 201, 200,
64, 68, 72, 72, 199, 174, 57, 166, 55, 173,
171, 166, 165, 166, 171, 99, 225, 93, 225, 225,
194, 107, 225, 193, 225, 225, 225, 225, 225, 71,
93, 225, 0, 183, 178, 0, 195, 225, 225, 225,
225, 225, 225, 225, 89, 107, 0, 225, 225, 225,
161, 169, 0, 155, 160, 157, 154, 151, 150, 151,
150, 146, 153, 123, 225, 177, 188, 225, 126, 187,
225, 225, 164, 159, 225, 100, 0, 146, 145, 149,
138, 151, 0, 0, 0, 0, 59, 146, 140, 177,
225, 157, 147, 141, 144, 130, 138, 126, 130, 137,
0, 134, 165, 143, 133, 112, 109, 0, 0, 102,
92, 0, 130, 112, 93, 98, 101, 0, 0, 125,
124, 94, 0, 0, 78, 59, 0, 61, 0, 225,
141, 145, 149, 151, 155, 51, 159, 163
}

Referenced by yy_get_previous_state(), yy_try_NUL_trans(), and yylex().

## ◆ yy_buffer_stack

YY_BUFFER_STATE* yy_buffer_stack = 0
| static

Stack as an array.

Referenced by yyensure_buffer_stack().

## ◆ yy_buffer_stack_max

size_t yy_buffer_stack_max = 0
| static

capacity of stack.

Referenced by yyensure_buffer_stack().

## ◆ yy_buffer_stack_top

size_t yy_buffer_stack_top = 0
| static

index of top of stack.

Referenced by yyensure_buffer_stack(), yypop_buffer_state(), and yypush_buffer_state().

## ◆ yy_c_buf_p

char* yy_c_buf_p = (char *) 0
| static

Referenced by input(), yy_get_next_buffer(), yy_get_previous_state(), yy_load_buffer_state(), yy_switch_to_buffer(), yylex(), yypush_buffer_state(), and yyunput().

## ◆ yy_chk

flex_int16_t yy_chk[276]
| static

Referenced by yy_get_previous_state(), yy_try_NUL_trans(), and yylex().

## ◆ yy_def

flex_int16_t yy_def[159]
| static

Initial value:
=
{ 0,
150, 1, 151, 151, 151, 151, 152, 152, 150, 150,
150, 150, 150, 150, 153, 154, 155, 150, 150, 150,
150, 150, 150, 150, 150, 154, 154, 154, 154, 154,
154, 154, 154, 154, 154, 150, 150, 150, 150, 150,
150, 150, 150, 150, 150, 150, 150, 150, 150, 150,
150, 150, 153, 153, 153, 154, 150, 150, 150, 150,
150, 150, 150, 150, 150, 150, 156, 150, 150, 150,
154, 154, 154, 154, 154, 154, 154, 154, 154, 154,
154, 154, 154, 150, 150, 150, 157, 150, 150, 157,
150, 150, 153, 153, 150, 150, 156, 154, 154, 154,
154, 154, 154, 154, 154, 154, 154, 154, 154, 157,
150, 153, 153, 154, 154, 154, 154, 154, 154, 154,
154, 154, 153, 153, 154, 154, 154, 154, 154, 154,
154, 154, 158, 153, 154, 154, 154, 154, 154, 158,
158, 153, 154, 154, 154, 153, 154, 153, 153, 0,
150, 150, 150, 150, 150, 150, 150, 150
}

Referenced by yy_get_previous_state(), yy_try_NUL_trans(), and yylex().

## ◆ yy_did_buffer_switch_on_eof

int yy_did_buffer_switch_on_eof
| static

Referenced by input(), yy_switch_to_buffer(), yylex(), yypop_buffer_state(), and yypush_buffer_state().

## ◆ yy_ec

flex_int32_t yy_ec[256]
| static

Referenced by yy_get_previous_state(), and yylex().

## ◆ yy_flex_debug

int yy_flex_debug = 0

## ◆ yy_full_match

char* yy_full_match
| static

Referenced by yylex().

## ◆ yy_hold_char

char yy_hold_char
| static

Referenced by input(), yy_load_buffer_state(), yy_switch_to_buffer(), yylex(), yypush_buffer_state(), and yyunput().

## ◆ yy_init

int yy_init = 1
| static

Referenced by yylex().

## ◆ yy_lp

int yy_lp
| static

Referenced by yylex().

## ◆ yy_meta

flex_int32_t yy_meta[51]
| static

Initial value:
=
{ 0,
1, 1, 2, 1, 1, 1, 1, 1, 1, 1,
1, 1, 1, 3, 1, 4, 4, 1, 1, 1,
3, 3, 3, 3, 3, 3, 3, 3, 3, 1,
3, 4, 4, 4, 4, 4, 4, 3, 3, 3,
3, 3, 3, 3, 3, 3, 3, 3, 3, 3
}

Referenced by yy_get_previous_state(), yy_try_NUL_trans(), and yylex().

## ◆ yy_more_offset

int yy_more_offset = 0
| static

## ◆ yy_n_chars

int yy_n_chars
| static

Referenced by input(), yy_get_next_buffer(), yy_load_buffer_state(), yy_switch_to_buffer(), yylex(), yypush_buffer_state(), and yyunput().

## ◆ yy_nxt

flex_int16_t yy_nxt[276]
| static

Referenced by yy_get_previous_state(), yy_try_NUL_trans(), and yylex().

## ◆ yy_prev_more_offset

int yy_prev_more_offset = 0
| static

Referenced by yylex().

## ◆ yy_rule_can_match_eol

flex_int32_t yy_rule_can_match_eol[50]
| static

Initial value:
=
{ 0,
1, 1, 1, 1, 0, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
0, 0, 0, 0, 0, 0, 0, 0, 0, 0, }

Referenced by yylex().

## ◆ yy_start

int yy_start = 0
| static

Referenced by yy_get_previous_state(), and yylex().

## ◆ yy_state_buf

yy_state_type* yy_state_buf =0
| static

Referenced by yy_get_previous_state(), and yylex().

## ◆ yy_state_ptr

yy_state_type * yy_state_ptr =0
| static

Referenced by yy_get_previous_state(), yy_try_NUL_trans(), and yylex().

## ◆ yyin

FILE * yyin = (FILE *) 0

Referenced by input(), yy_get_next_buffer(), yy_load_buffer_state(), yylex(), and yyrestart().

## ◆ yyleng

int yyleng

Referenced by yylex().

## ◆ yylineno

int yylineno = 1

Referenced by input(), yylex(), and yyunput().

## ◆ yyout

FILE * yyout = (FILE *) 0

Referenced by yylex().

## ◆ yytext

char yytext

Referenced by yylex().

## ◆ yytext_ptr

char* yytext_ptr

Referenced by input(), yy_get_next_buffer(), yy_get_previous_state(), yy_load_buffer_state(), yylex(), and yyunput().